Subject: Re: [Sipping] New draft: Extending the SIP Reason Header with Warning Codes

From: "Jani Hautakorpi (JO/LMF)" <[email-masked]>
Date: Wed, 02 Nov 2005 11:02:43 +0200

Hi Dale,

Dale R. Worley wrote:
> Assuming that the text between <...> is a URI, what you have written is
> syntactically invalid.  Since multiple headers are separated by "&" (not
> "?"), everything between "@b1.org?Reason=" and ">" is a header value
> ("hvalue" per RFC 3261 section 25.1).  But while "?" may appear in
> hvalue, "=" and ";" may not.
> 
> So I think you mean to write:
> 
>      |          | H-I: <sip:[email-masked]?Reason=SIP;cause=488&   |
>      |          |       Reason=SIP-Warning;cause=305>;idx=1  |

You are right. I'll fix that to the next version.

Thank you for the feedback!

-- 
Jani H.

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Jonathan Rosenberg <[email-masked]>
Date: Sun, 06 Nov 2005 18:40:28 -0500

A comment on the warning extension for anonymous call rejection.

I don't understand why we need a warning value for this. I think we are 
better off just defining a new response code for it (see separate 
discussion on extending reasons for rejection).

-Jonathan R.

Jani Hautakorpi (JO/LMF) wrote:

> Hi all,
> 
> We submitted the following draft couple of days ago:
> http://www.ietf.org/internet-drafts/draft-hautakorpi-reason-header-for-warnings-00.txt
> 
> We would like to welcome all kinds of feedback to our draft, and
> especially comments related to 'open issue' stated in Section 5.
> 
> 

-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Director, Service Provider VoIP Architecture   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com